/integration/{integration}

Integration status

Returns the status of the integration, the available integrations are listed in the 'List integrations' endpoint

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
integrationstringYesIntegration key
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/integration/string' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
Example
{
  "connected": true,
  "connection_user": "string",
  "connection_user_email": "string",
  "has_custom_options": true,
  "has_prerequisites": true,
  "is_accounting": true,
  "is_custom_connect": true,
  "is_feature_toggled": true,
  "is_oauth2": true,
  "is_user": true,
  "is_webhook": true,
  "last_successful_sync": 123,
  "last_sync": 123,
  "last_sync_error": "string",
  "refresh_token_expiry": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}